Package cds.healpix

# Interface ListOfHash

All Superinterfaces:
  `FlatHashIterable`

All Known Implementing Classes:
  `FlatHashList`, `NeighbourList`

public interface ListOfHash extends FlatHashIterable
Interface defining a simple flat list of hash values (we do not use a Java List to avoid autoboxing.

Author:
  F.-X. Pineau

## Method Summary

Modifier and Type
Method
Description
`void`
`arraycopy(int srcPos, long[] dest, int destPos, int length)`
Similar to `System.arraycopy(Object, int, Object, int, int)` except that the source is the internal list.
`long`
`get(int i)`
Returns the element at the given index `i` in the list.
`int`
`size()`
Returns the current number of elements in the flat list.

### Methods inherited from interface cds.healpix.FlatHashIterable

`iterator`

## Method Details

### size

int size()
Returns the current number of elements in the flat list.

Returns:
  the current number of elements in the flat list.

### get

long get(int i)
Returns the element at the given index `i` in the list.

Parameters:
  `i` - index in the list of the element to be returned.
Returns:
  the element at the given index `i` in the list.

### arraycopy

void arraycopy(int srcPos, long[] dest, int destPos, int length)
Similar to `System.arraycopy(Object, int, Object, int, int)` except that the source is the internal list.

Parameters:
  `srcPos` - see `System.arraycopy(Object, int, Object, int, int)`
  `dest` - see `System.arraycopy(Object, int, Object, int, int)`
  `destPos` - see `System.arraycopy(Object, int, Object, int, int)`
  `length` - see `System.arraycopy(Object, int, Object, int, int)`